tigase.jaxmpp.core.client.xmpp.modules.flexible_offline

## Class FlexibleOfflineMessageRetrieval

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<IQ>
    - - tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule
      - - tigase.jaxmpp.core.client.xmpp.modules.flexible_offline.FlexibleOfflineMessageRetrieval

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class FlexibleOfflineMessageRetrieval
      extends AbstractIQModule

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FlexibleOfflineMessageRetrieval.FlexibleOfflineMessageItemsAsyncCallback`
    `static class` | `FlexibleOfflineMessageRetrieval.Item`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FLEXIBLE_OFFLINE_MODE_KEY`
    `static String` | `FLEXIBLE_OFFLINE_XMLNS`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlexibleOfflineMessageRetrieval()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRegister()` Called when module is registered.
    `void` | `fetchOfflineMessages(AsyncCallback asyncCallback)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `getOfflineMessages(ArrayList<FlexibleOfflineMessageRetrieval.Item> items, AsyncCallback asyncCallback)`
    `void` | `getOfflineMessagesInfo(AsyncCallback asyncCallback)`
    `void` | `getOfflineMessagesItems(AsyncCallback asyncCallback)`
    `protected void` | `processGet(IQ element)` Method for processing stanza `<iq type='get'>`.
    `protected void` | `processSet(IQ element)` Method for processing stanza `<iq type='set'>`.
    `void` | `purgeOfflineMessages(AsyncCallback asyncCallback)`
    `void` | `removeOfflineMessages(ArrayList<FlexibleOfflineMessageRetrieval.Item> items, AsyncCallback asyncCallback)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule

      `process`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FLEXIBLE_OFFLINE_MODE_KEY

          public static final String FLEXIBLE_OFFLINE_MODE_KEY

      See Also:
        Constant Field Values

    - #### FLEXIBLE_OFFLINE_XMLNS

          public static final String FLEXIBLE_OFFLINE_XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlexibleOfflineMessageRetrieval

          public FlexibleOfflineMessageRetrieval()

  - ### Method Detail

    - #### afterRegister

          public void afterRegister()

      Description copied from interface: `InitializingModule`
      Called when module is registered. At this moment module is formally registered and it is part of client.
      Specified by:
        `afterRegister` in interface `InitializingModule`
      Overrides:
        `afterRegister` in class `AbstractStanzaModule<IQ>`

    - #### fetchOfflineMessages

          public void fetchOfflineMessages(AsyncCallback asyncCallback)
                                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### getOfflineMessages

          public void getOfflineMessages(ArrayList<FlexibleOfflineMessageRetrieval.Item> items,
                                         AsyncCallback asyncCallback)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getOfflineMessagesInfo

          public void getOfflineMessagesInfo(AsyncCallback asyncCallback)
                                      throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getOfflineMessagesItems

          public void getOfflineMessagesItems(AsyncCallback asyncCallback)
                                       throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processGet

          protected void processGet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='get'>`.
      Specified by:
        `processGet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### processSet

          protected void processSet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='set'>`.
      Specified by:
        `processSet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### purgeOfflineMessages

          public void purgeOfflineMessages(AsyncCallback asyncCallback)
                                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### removeOfflineMessages

          public void removeOfflineMessages(ArrayList<FlexibleOfflineMessageRetrieval.Item> items,
                                            AsyncCallback asyncCallback)
                                     throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.